// LOGIN TO UPCHAIN

// Last Modification Date : Jul 8, 2021
/* ----------------------------------------------------
     Change Log
     - 2021-07-08: Initial version
 */


const axios         = require('axios');
const querystring   = require('querystring');
const settings      = require('./settings.js');


console.log('   ');
console.log('   **************************** START ****************************');
console.log('   ');
console.log('    SETTINGS');
console.log('   ---------------------------------------------------------------');
console.log('    Client ID     : ' + settings.clientId); 
console.log('    User Name     : ' + settings.username); 
console.log('   '); 


login(function() {

    console.log('   ');
    console.log('   ***************************** END *****************************');
    console.log('   ');

});


function login(callback) {
    
    let params = {
        'grant_type'    : 'password',
        'client_id'     : settings.clientId,
        'client_secret' : settings.clientSecret,
        'username'      : settings.username,
        'password'      : settings.password
    }
    
    axios.post('https://live-sso.upchain.net/auth/realms/upchain/protocol/openid-connect/token', querystring.stringify(params)).then(function (response) {
        
        console.log(response.status);
        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}