// GET LIST OF ALL PROJECTS
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-21: Initial version
   -------------------------------------------------------------------------------------------------------- */


const axios     = require('axios');
const settings  = require('./settings.js');
const utils     = require('./utils.js');


utils.printStart([]);


utils.login(function(companyID) {
    getProjects(companyID, function() {
        utils.printEnd();
    });
});



function getProjects(companyID, callback) {
    
    axios.get('https://live.upchain.net/api/project/v1/projects?companyID=' + companyID).then(function (response) {
        
        console.log('    Found ' + response.data.length + ' projects');
        console.log();
        
        for(project of response.data) {
            console.log('    ' + project.displayName + ' (' + project.id + ')');
        }

        console.log();
        console.log(response.data[0]);
        console.log();
        
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}