// CREATE NEW PROJECT
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-21: Initial version
   -------------------------------------------------------------------------------------------------------- */


// Options (run script 99 to get the required IDs)
let params = {
    'name'          : 'NPI00003',
    'key'           : 'NPI3',
    'projectTypeId' : 1178,
    'customerId'    : 527,
    'workflowId'    : 7030
}


const axios     = require('axios');
const settings  = require('./settings.js');
const utils     = require('./utils.js');


utils.printStart([]);

utils.login(function(companyID) {
    createProject(function() {
        utils.printEnd();
    });
});


function createProject(callback) {
    
    axios.post('https://live.upchain.net/api/project/v1/projects', params).then(function (response) {
        console.log('    New project id: ' + response.data.id);
        callback();
    }).catch(function (error) {
        console.log(error);
    });
    
}