// GET LIST OF ATTRIBUTES MANAGED PER DOCUMENT
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-02-08: Initial version
   -------------------------------------------------------------------------------------------------------- */


const axios     = require('axios');
const utils     = require('./utils.js');


utils.printStart([]);

utils.login(function() {
    getDocumentAttributes(function() {
        utils.printEnd();
    });
});


function getDocumentAttributes(callback) {
    
    let url = 'https://live.upchain.net/api/document-attribute/v1/document_attributes';

    axios.get(url).then(function (response) {
        
        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}