// GET DETAILS OF ITEM
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-27: Initial version
   -------------------------------------------------------------------------------------------------------- */


// Options
const partVersionId   =  '605060';


const axios     = require('axios');
const utils     = require('./utils.js');


utils.printStart([['Part Version ID', partVersionId]]);

utils.login(function(companyID) {
    getItemHeader(function() {
        getItemDetails(function() {
            getItemDetailsAll(function() {
                getItemPrimaryDocument(function() {
                    utils.printEnd();
                });
            });
        });
    });
});





function getItemHeader(callback) {
    
    axios.get('https://live.upchain.net/api/bom/v1/part_version/' + partVersionId + '/header').then(function (response) {

        console.log();
        console.log('    HEADER');
        utils.printLine();
        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}

function getItemDetails(callback) {
    
    axios.get('https://live.upchain.net/api/bom/v1/part_version/details?ids=' + partVersionId).then(function (response) {

        console.log();
        console.log('    DETAILS');
        utils.printLine();
        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}

function getItemDetailsAll(callback) {
    
    axios.get('https://live.upchain.net/api/bom/v1/part_version/details_all?ids=' + partVersionId).then(function (response) {

        console.log();
        console.log('    DETAILS ALL');
        utils.printLine();
        console.log(response.data);        
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}

function getItemPrimaryDocument(callback) {
    
    axios.get('https://live.upchain.net/api/bom/v1/part_version/' + partVersionId + '/has_primary_document').then(function (response) {

        console.log();
        console.log('    HEADER');
        utils.printLine();
        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}