// GET PROJECT DATA OF ITEM
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-27: Initial version
   -------------------------------------------------------------------------------------------------------- */


// Options
const partVersionId   =  '605060';


const axios     = require('axios');
const utils     = require('./utils.js');


utils.printStart([['Part Version ID', partVersionId]]);

utils.login(function(companyID) {
    getItemEBOM(function() {
        utils.printEnd();
    });
});


function getItemEBOM(callback) {
    
    axios.get('https://live.upchain.net/api/bom/v1/part_version/' + partVersionId + '/ebom').then(function (response) {

        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}