// GET EBOM OF ITEM
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-27: Initial version
   -------------------------------------------------------------------------------------------------------- */


// Options
const partVersionId   =  '605060';


const axios     = require('axios');
const utils     = require('./utils.js');


utils.printStart([['Part Version ID', partVersionId]]);

utils.login(function(companyID) {
    getItemEBOM(function() {
        utils.printEnd();
    });
});





function getItemEBOM(callback) {
    
    // axios.get('https://live.upchain.net/api/bom/v1/ebom_children_items?partVersionId=' + partVersionId + '&viewType=ENGINEERING').then(function (response) {
    axios.get('https://live.upchain.net/api/bom/v1/ebom_children_items?partVersionId=' + partVersionId + '&viewType=ENGINEERING').then(function (response) {

        console.log(response.data);
    
        console.log('    Found ' + response.data.length + ' bom items');
        console.log('    -----------------------------------------------------------------------------');
        console.log('    partName / partMajorRevision / partMinorRevision / id');
        console.log();
        
        for(item of response.data) {
            console.log('    ' + item.partName +  ' ' + item.partMajorRevision + '-' + item.partMinorRevision + ' ( ' + item.id + ')');
        }
        
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}