// UPDATE ITEM STATUS (SKIPPING APPROVAL)
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-24: Initial version
   -------------------------------------------------------------------------------------------------------- */


// Options
let itemNumber = '63-4009';         // See field Item Number
let itemStatus = 'Development';     // Development, Released


const axios     = require('axios');
const settings  = require('./settings.js');
const utils     = require('./utils.js');


utils.printStart([]);

utils.login(function(companyID) {
    setItemStatus(function() {
        utils.printEnd();
    });
});


function setItemStatus(callback) {
    
    axios.patch('https://live.upchain.net/api/erp/v1/part/' + itemNumber, {
        'partStatus' : itemStatus
    }).then(function (response) {
        console.log('    Response: ' + response.data);
        callback();
    }).catch(function (error) {
        console.log(error);
    });
    
}