// GET PRIMARY FILE OF DEFINED ITEM
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-02-08: Initial version
   -------------------------------------------------------------------------------------------------------- */


// Options
const partVersionId   =  '621168';    // grab id from item's URL in the web UI


const axios     = require('axios');
const utils     = require('./utils.js');


utils.printStart([['Part Version Id', partVersionId]]);

utils.login(function() {
    getItemPrimaryFile(function() {
        utils.printEnd();
    });
});


function getItemPrimaryFile(callback) {
    
    axios.get('https://live.upchain.net/api/bom/v1/part_version/' + partVersionId + '/latest_primary_file_version_object').then(function (response) {

        console.log();
        console.log('    FRIMARY FILE OBJECT');
        utils.printLine();
        console.log(response.data);
        callback();

    }).catch(function (error) {
        console.log(error);
    });
    
}