// GET AVAILABLE ERP OPERATIONS
// Please provide connectin details in file settings.js
// Author: Sven Dickmans, Autodesk

/* --------------------------------------------------------------------------------------------------------
    Change Log
    - 2022-01-24: Initial version
   -------------------------------------------------------------------------------------------------------- */


const axios     = require('axios');
const settings  = require('./settings.js');
const utils     = require('./utils.js');


utils.printStart([]);

utils.login(function(companyID) {
    getERPOperations(function() {
        utils.printEnd();
    });
});


function getERPOperations(callback) {
    
    axios.get('https://live.upchain.net/api/v1/erp/operations').then(function (response) {
        
        console.log();
        console.log('    ERP Operations (id, name, descrip†ion)')
        utils.printLine();

        for(item of response.data) {
            console.log('    (' + item.id + ') ' + item.name + ' / ' + ' ' + item.description);
        }

        callback();
    }).catch(function (error) {
        console.log(error);
    });
    
}